com.pixelmed.dose

## Class ScanRange

- java.lang.Object
- - com.pixelmed.dose.ScanRange

    public class ScanRange
    extends java.lang.Object

### Field Summary

Fields
`protected java.lang.String` `absoluteRange`
`protected double` `absoluteRangeAsDouble`
`protected java.lang.String` `endDirection`
`protected java.lang.String` `endLocation`
`protected java.lang.String` `startDirection`
`protected java.lang.String` `startLocation`

### Constructor Summary

Constructors
Constructor and Description
`ScanRange(java.lang.String signedStartLocation, java.lang.String signedEndLocation)`
`ScanRange(java.lang.String startDirection, java.lang.String startLocation, java.lang.String endDirection, java.lang.String endLocation)`

### Method Summary

Methods
`boolean` `equals(java.lang.Object o)`
`java.lang.String` `getAbsoluteRange()`
`double` `getAbsoluteRangeAsDouble()`
`java.lang.String` `getEndDirection()`
`java.lang.String` `getEndLocation()`
`java.lang.String` `getStartDirection()`
`java.lang.String` `getStartLocation()`
`int` `hashCode()`
`boolean` `isStationary()`
`java.lang.String` `toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### startDirection

    protected java.lang.String startDirection

#### startLocation

    protected java.lang.String startLocation

#### endDirection

    protected java.lang.String endDirection

#### endLocation

    protected java.lang.String endLocation

#### absoluteRange

    protected java.lang.String absoluteRange

#### absoluteRangeAsDouble

    protected double absoluteRangeAsDouble

### Constructor Detail

#### ScanRange

    public ScanRange(java.lang.String startDirection,
             java.lang.String startLocation,
             java.lang.String endDirection,
             java.lang.String endLocation)

#### ScanRange

    public ScanRange(java.lang.String signedStartLocation,
             java.lang.String signedEndLocation)

### Method Detail

#### getStartDirection

    public java.lang.String getStartDirection()

#### getStartLocation

    public java.lang.String getStartLocation()

#### getEndDirection

    public java.lang.String getEndDirection()

#### getEndLocation

    public java.lang.String getEndLocation()

#### getAbsoluteRangeAsDouble

    public double getAbsoluteRangeAsDouble()

#### getAbsoluteRange

    public java.lang.String getAbsoluteRange()

#### isStationary

    public boolean isStationary()

#### toString

    public java.lang.String toString()

Overrides:
  `toString` in class `java.lang.Object`

#### equals

    public boolean equals(java.lang.Object o)

Overrides:
  `equals` in class `java.lang.Object`

#### hashCode

    public int hashCode()

Overrides:
  `hashCode` in class `java.lang.Object`